
海思wifi7 - Bug #3501

[wifi7]升级中间件失败

06/09/2025 15:02 - 天琦 刘

Status: Closed Start date: 06/09/2025

Priority: Normal Due date:  

Assignee: 天琦 刘 % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: tiangong2_ZNXT_default_ker_fs_fwk_ed

62736e

复现概率: 100%

Description

【测试步骤】

1、使用dbus命令升级盲测版本中间件v1.0.1.bin

dbus-send --system --print-reply --dest=com.ctc.saf1 /com/ctc/saf1 com.ctc.saf1.framework.Upgrade

string:"http://192.168.1.192/haisi/V1.0.1.bin"

【预期结果】

升级成功

【实际结果】

升级失败

【log】

1. saf info

2025-06-09 11:07:50.035: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

Framework 1: [/dev/mtdblock14] (V1.0.0)

Framework 2: [/dev/mtdblock15] ()

APPS: [/dev/mtdblock16]

Framework (active): [/dev/mtdblock14]

2. timed out waiting for input: auto-logout

$ timed out waiting for input: auto-logout

Connection closing...Socket close.

Connection closed by foreign host.

Disconnected from remote host(haisi) at 11:17:50.

Type `help' to learn how to use Xshell prompt.

[D:\~]$

Connecting to 192.168.1.1:23...

Connection established.

To escape to local shell, press 'Ctrl+Alt+]'.

Login: telnetadmin

Password:

$ su

Password:

1. cat /var/saf.log

Framework (active): [/dev/mtdblock14]

1970-01-01 08:00:55.099: umount /opt/upt/framework err (Invalid argument)

1970-01-01 08:00:55.113: boot time is 55/Thu Jan  1 08:00:55 1970

1970-01-01 08:00:55.118: E8C RestoreStatus is 0

1970-01-01 08:00:55.122: E8C UpgradeStatus is 0

1970-01-01 08:00:55.136: active mtd (/dev/mtdblock14) not mounted before run framework? try mount again

1970-01-01 08:00:55.350: Auto Starting Framework ...

1970-01-01 08:01:04.998: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:28.580: Restore [+]

2025-06-09 11:05:29.080: Restore [-]
2025-06-09 11:05:34.398: Auto Starting Framework ...

2025-06-09 11:05:39.800: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:42.849: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2. dbus-send --system --print-reply --dest=com.ctc.saf1 /com/ctc/saf1 com.ctc.saf1.framework.Upgrade

string:"http://192.168.1.192/haisi/V1.0.1.bin"

method return time=1749439447.340200 sender=:1.2 -> destination=:1.218 serial=44 reply_serial=2

uint32 0

4. cat /var/saf.log

Framework (active): [/dev/mtdblock14]

1970-01-01 08:00:55.099: umount /opt/upt/framework err (Invalid argument)

1970-01-01 08:00:55.113: boot time is 55/Thu Jan  1 08:00:55 1970

1970-01-01 08:00:55.118: E8C RestoreStatus is 0

1970-01-01 08:00:55.122: E8C UpgradeStatus is 0

1970-01-01 08:00:55.136: active mtd (/dev/mtdblock14) not mounted before run framework? try mount again

1970-01-01 08:00:55.350: Auto Starting Framework ...

1970-01-01 08:01:04.998: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:28.580: Restore [+]

2025-06-09 11:05:29.080: Restore [-]

2025-06-09 11:05:34.398: Auto Starting Framework ...

2025-06-09 11:05:39.800: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:42.849: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:24:07.329: Upgrade [+]

2025-06-09 11:24:07.335: E8C UpgradeStatus is 0

2025-06-09 11:24:07.339: Upgrade [-]

2025-06-09 11:24:07.991: is_mtd_space_enough: mtd 16777216, fwk 7288070

2025-06-09 11:24:08.161: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:24:08.161: active/backup version V1.0.0/, new version V1.0.1

2025-06-09 11:24:08.400: Install new framework.

Framework: [/dev/mtdblock14] [/dev/mtdblock15]

APP: [/dev/mtdblock16]

2025-06-09 11:24:08.401: Unlocking /dev/mtd15 ...

2025-06-09 11:24:08.401:

Writing from framework.bin to /dev/mtd15 ...

2025-06-09 11:24:10.418: Failed to mount /dev/mtdblock15, err Invalid argument

2025-06-09 11:24:10.418: New framework (/dev/mtdblock15) mount failed, start old framework (/dev/mtdblock14) again.

2025-06-09 11:24:10.432: Empty this folder: /opt/upt/apps/olwork/work

12. cat /var/saf.log

Framework (active): [/dev/mtdblock14]

1970-01-01 08:00:55.099: umount /opt/upt/framework err (Invalid argument)

1970-01-01 08:00:55.113: boot time is 55/Thu Jan  1 08:00:55 1970

1970-01-01 08:00:55.118: E8C RestoreStatus is 0

1970-01-01 08:00:55.122: E8C UpgradeStatus is 0

1970-01-01 08:00:55.136: active mtd (/dev/mtdblock14) not mounted before run framework? try mount again

1970-01-01 08:00:55.350: Auto Starting Framework ...

1970-01-01 08:01:04.998: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:28.580: Restore [+]

2025-06-09 11:05:29.080: Restore [-]

2025-06-09 11:05:34.398: Auto Starting Framework ...

2025-06-09 11:05:39.800: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:05:42.849: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:24:07.329: Upgrade [+]

2025-06-09 11:24:07.335: E8C UpgradeStatus is 0

2025-06-09 11:24:07.339: Upgrade [-]

2025-06-09 11:24:07.991: is_mtd_space_enough: mtd 16777216, fwk 7288070

2025-06-09 11:24:08.161: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

2025-06-09 11:24:08.161: active/backup version V1.0.0/, new version V1.0.1

2025-06-09 11:24:08.400: Install new framework.

Framework: [/dev/mtdblock14] [/dev/mtdblock15]

APP: [/dev/mtdblock16]

07/18/2025 2/3



2025-06-09 11:24:08.401: Unlocking /dev/mtd15 ...

2025-06-09 11:24:08.401:

Writing from framework.bin to /dev/mtd15 ...

2025-06-09 11:24:10.418: Failed to mount /dev/mtdblock15, err Invalid argument

2025-06-09 11:24:10.418: New framework (/dev/mtdblock15) mount failed, start old framework (/dev/mtdblock14) again.

2025-06-09 11:24:10.432: Empty this folder: /opt/upt/apps/olwork/work

2025-06-09 11:24:16.850: _get_framework_version: mount /dev/mtdblock15->/opt/upt/apps/mnt2 failed Invalid argument

15. cat /proc/mtd

dev:    size   erasesize  name

mtd0: 00080000 00020000 "esbc0_a"

mtd1: 00100000 00020000 "uboota"

mtd2: 00100000 00020000 "ubootb"

mtd3: 00080000 00020000 "enva"

mtd4: 00080000 00020000 "envb"

mtd5: 00200000 00020000 "fac"

mtd6: 00200000 00020000 "cfga"

mtd7: 00200000 00020000 "cfgb"

mtd8: 00440000 00020000 "log"

mtd9: 00040000 00020000 "pstore"

mtd10: 00700000 00020000 "kernela"

mtd11: 00700000 00020000 "kernelb"

mtd12: 04800000 00020000 "rootfsa"

mtd13: 04800000 00020000 "rootfsb"

mtd14: 01000000 00020000 "fwka"

mtd15: 01000000 00020000 "fwkb"

mtd16: 03400000 00020000 "app"

History

#1 - 06/10/2025 11:17 - 天琦 刘

- Project changed from 海思网关-wifi to 海思wifi7

#2 - 06/26/2025 16:44 - 良缘 彭

- Status changed from New to Resolved

- Assignee changed from 良缘 彭 to 天琦 刘

- % Done changed from 0 to 100

新版本已解决

#3 - 07/02/2025 14:35 - 天琦 刘

- Status changed from Resolved to Closed

已验证通过
